Doesn't work with newer gevent-websocket #25

Closed
shadowmint opened this Issue Dec 6, 2013 · 1 comment

Comments

Projects
None yet
1 participant

You need to pin gevent-websocket = 0.3.6, or using this fails with:

File "/Users/doug/wok/hangman/eggs/pyramid_sockjs-0.3.9-py2.7.egg/pyramid_sockjs/__init__.py", line 12, in <module>
from pyramid_sockjs.route import get_session_manager
File "/Users/doug/wok/hangman/eggs/pyramid_sockjs-0.3.9-py2.7.egg/pyramid_sockjs/route.py", line 12, in <module>
from pyramid_sockjs.websocket import init_websocket, init_websocket_hixie
File "/Users/doug/wok/hangman/eggs/pyramid_sockjs-0.3.9-py2.7.egg/pyramid_sockjs/websocket.py", line 7, in <module>
from geventwebsocket.handler import reconstruct_url
ImportError: cannot import name reconstruct_url

(seems to work fine with the older version though, if you do pin it)

thapar added a commit to thapar/pyramid_sockjs that referenced this issue Feb 13, 2014

@fafhrd91 fafhrd91 closed this in #27 May 18, 2016

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment